package com.bonus.canteen.core.notice.print.v2.dto;

import io.swagger.annotations.ApiModelProperty;

public class NoticePrintTemplateSettingAddDTO {
   @ApiModelProperty("字段id")
   private Long columnId;
   @ApiModelProperty("排序")
   private Integer sort;
   @ApiModelProperty("是否加粗，1是，2否")
   private Integer ifBold;
   @ApiModelProperty("标签打印机拓展设置")
   private NoticePrintTemplateExtSettingAddDTO extDTO;

   public Long getColumnId() {
      return this.columnId;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIfBold() {
      return this.ifBold;
   }

   public NoticePrintTemplateExtSettingAddDTO getExtDTO() {
      return this.extDTO;
   }

   public void setColumnId(final Long columnId) {
      this.columnId = columnId;
   }

   public void setSort(final Integer sort) {
      this.sort = sort;
   }

   public void setIfBold(final Integer ifBold) {
      this.ifBold = ifBold;
   }

   public void setExtDTO(final NoticePrintTemplateExtSettingAddDTO extDTO) {
      this.extDTO = extDTO;
   }

}
